Update Product Inventory
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace/products/{id}/inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"variant_id": "<string>",
"update_other_variants": true,
"track_quantity": true,
"track_lot_batch": true,
"allow_backorder": true,
"stock": [
{
"warehouse_id": "<string>",
"stock_quantity": 123,
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>"
}
]
}
]
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace/products/{id}/inventory"
payload = [
{
"variant_id": "<string>",
"update_other_variants": True,
"track_quantity": True,
"track_lot_batch": True,
"allow_backorder": True,
"stock": [
{
"warehouse_id": "<string>",
"stock_quantity": 123,
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>"
}
]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
variant_id: '<string>',
update_other_variants: true,
track_quantity: true,
track_lot_batch: true,
allow_backorder: true,
stock: [
{
warehouse_id: '<string>',
stock_quantity: 123,
lot_batch: '<string>',
mfg_date: '2023-12-25',
exp_date: '2023-12-25',
manufacturer: '<string>'
}
]
}
])
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace/products/{id}/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"inventory": [
{
"variant_id": "<string>",
"variant_name": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"track_quantity": true,
"track_lot_batch": true,
"allow_backorder": true,
"stock": [
{
"warehouse_id": "<string>",
"stock_quantity": 123,
"sku": "<string>",
"warehouse_name": "<string>",
"received_quantity": 123,
"reserved_quantity": 123,
"sold_quantity": 123,
"adjusted_quantity": 123,
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
]
}
]
}
}Marketplace Catalog
Update Product Inventory
Update product inventory
POST
/
catalog
/
marketplace
/
products
/
{id}
/
inventory
Update Product Inventory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
product id
Body
application/json
required only if product has_variant = true. otherwise it can be excluded or pass null.
Can be used for the product having variants. if true, same inventry details will be updated to other variants which are not mentioned in request body.
Show child attributes
Show child attributes
Was this page helpful?
⌘I